MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028822Open CASCADE[OCCT] OCCT:Configurationpublic2017-06-07 15:122017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028822: Configuration, XCAFDoc - fix name collision with macros GetObject()
DescriptionGetObject is defines within WinAPI headers leading to name collisions if application includes both <windows.h> and XCAFDoc headers.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028983closedbugmaster Community Configuration - HAVE_NO_DLL causes compilation to fail on MSVC 
child of 0028838closedbugmaster Open CASCADE Configuration - undefine macros coming from X11 headers in place of collision 

-  Notes
(0067189)
git (administrator)
2017-06-07 15:14

Branch CR28822 has been created by kgv.

SHA-1: e3b26404b82432cc551c775d7731e290c69c6c70


Detailed log of new commits:

Author: kgv
Date: Wed Jun 7 15:12:58 2017 +0300

    0028822: Configuration, XCAFDoc - fix name collision with macros GetObject()
(0067190)
kgv (developer)
2017-06-07 15:16

Please check compilation, regression testing is not needed.
(0067202)
apv (tester)
2017-06-07 17:33

Dear BugMaster,

Branch CR28822 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: e3b26404b82432cc551c775d7731e290c69c6c70

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1204
(0067203)
apv (tester)
2017-06-07 17:34

Dear BugMaster,

Please integrate branch CR28822 into the occt git-repository master.
(0067357)
git (administrator)
2017-06-13 17:34

Branch CR28822 has been deleted by kgv.

SHA-1: e3b26404b82432cc551c775d7731e290c69c6c70

- Related Changesets
occt: master b07ce12b
Timestamp: 2017-06-07 12:12:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028822: Configuration, XCAFDoc - fix name collision with macros GetObject()
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Datum.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Dimension.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GeomTolerance.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_View.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-06-07 15:12 kgv New Issue
2017-06-07 15:12 kgv Assigned To => kgv
2017-06-07 15:14 git Note Added: 0067189
2017-06-07 15:16 kgv Note Added: 0067190
2017-06-07 15:16 kgv Assigned To kgv => bugmaster
2017-06-07 15:16 kgv Status new => resolved
2017-06-07 15:16 kgv Priority normal => low
2017-06-07 15:16 kgv Status resolved => reviewed
2017-06-07 15:17 kgv Relationship added child of 0026411
2017-06-07 15:18 kgv Product Version 7.1.0 => 7.0.0
2017-06-07 15:23 apv Assigned To bugmaster => apv
2017-06-07 15:23 apv Test case number => Not needed
2017-06-07 17:33 apv Note Added: 0067202
2017-06-07 17:33 apv Assigned To apv => bugmaster
2017-06-07 17:33 apv Status reviewed => tested
2017-06-07 17:34 apv Note Added: 0067203
2017-06-09 14:06 bugmaster Changeset attached => occt master b07ce12b
2017-06-09 14:06 bugmaster Status tested => verified
2017-06-09 14:06 bugmaster Resolution open => fixed
2017-06-13 08:36 kgv Relationship added child of 0028838
2017-06-13 17:34 git Note Added: 0067357
2017-08-10 11:15 kgv Relationship added related to 0028983
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker